Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes
Class CodeList

    java.lang.Object
      org.deegree.datatypes.CodeList

All Implemented Interfaces:
  Serializable

    public class CodeList

extends Object
implements Serializable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`CodeList(String name, String[] codes)`
`CodeList(String name, String[] codes, URI codeSpace)`

Method Summary
`void` | `addCode(String code)`
`String[]` | `getCodes()`
`URI` | `getCodeSpace()`
`String` | `getName()`
`void` | `removeCode(String code)`
`void` | `setCodes(String[] codes)`
`void` | `setCodeSpace(URI codeSpace)`
`void` | `setName(String name)`
`boolean` | `validate(String codeSpace, String value)` returns true if a CodeList contains the passed codeSpace-value combination.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeList

    public CodeList(String name,
                    String[] codes)

Parameters:
  `name` -
  `codes` -

### CodeList

    public CodeList(String name,
                    String[] codes,
                    URI codeSpace)

Parameters:
  `name` -
  `codes` -
  `codeSpace` -

Method Detail

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getCodeSpace

    public URI getCodeSpace()

  Returns:
    Returns the codeSpace.

### setCodeSpace

    public void setCodeSpace(URI codeSpace)

  Parameters:
    `codeSpace` - The codeSpace to set.

### getCodes

    public String[] getCodes()

  Returns:
    Returns the codes.

### setCodes

    public void setCodes(String[] codes)

  Parameters:
    `codes` - The codes to set.

### addCode

    public void addCode(String code)

  Parameters:
    `code` - The code to add

### removeCode

    public void removeCode(String code)

  Parameters:
    `code` - The code to remove

### validate

    public boolean validate(String codeSpace,
                            String value)

  returns true if a CodeList contains the passed codeSpace-value combination. Otherwise false will be returned

  Parameters:
    `codeSpace` -
    `value` -
  Returns:
    true if a CodeList contains the passed codeSpace-value combination. Otherwise false will be returned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org